#  First you should change default database collation to avoid future problems:

   ALTER DATABASE _NAME_OF_DB_ DEFAULT CHARACTER SET utf8 COLLATE utf8_general_ci;



#   Then change each tables, which is used by eshop software, collation:

    ALTER TABLE `oxaccessoire2article` DEFAULT CHARACTER SET utf8, COLLATE utf8_general_ci COMMENT 'Shows many-to-many relationship between article and its accessory articles';
    ALTER TABLE `oxacceptedterms` DEFAULT CHARACTER SET utf8, COLLATE utf8_general_ci COMMENT 'Shows which users has accepted shop terms';
    ALTER TABLE `oxactions` DEFAULT CHARACTER SET utf8, COLLATE utf8_general_ci COMMENT 'Stores information about actions, promotions and banners';
    ALTER TABLE `oxactions2article` DEFAULT CHARACTER SET utf8, COLLATE utf8_general_ci COMMENT 'Shows many-to-many relationship between actions and articles';
    ALTER TABLE `oxaddress` DEFAULT CHARACTER SET utf8, COLLATE utf8_general_ci COMMENT 'Stores user shipping addresses';
    ALTER TABLE `oxadminlog` DEFAULT CHARACTER SET utf8, COLLATE utf8_general_ci COMMENT 'Logs admin actions';
    ALTER TABLE `oxartextends` DEFAULT CHARACTER SET utf8, COLLATE utf8_general_ci COMMENT 'Additional information for articles';
    ALTER TABLE `oxarticles` DEFAULT CHARACTER SET utf8, COLLATE utf8_general_ci COMMENT 'Articles information';
    ALTER TABLE `oxattribute` DEFAULT CHARACTER SET utf8, COLLATE utf8_general_ci COMMENT 'Article attributes';
    ALTER TABLE `oxcategories` DEFAULT CHARACTER SET utf8, COLLATE utf8_general_ci COMMENT 'Article categories';
    ALTER TABLE `oxcategory2attribute` DEFAULT CHARACTER SET utf8, COLLATE utf8_general_ci COMMENT 'Shows many-to-many relationship between categories and attributes';
    ALTER TABLE `oxconfig` DEFAULT CHARACTER SET utf8, COLLATE utf8_general_ci COMMENT 'Shop configuration values';
    ALTER TABLE `oxconfigdisplay` DEFAULT CHARACTER SET utf8, COLLATE utf8_general_ci COMMENT 'Additional configuraion fields';
    ALTER TABLE `oxcontents` DEFAULT CHARACTER SET utf8, COLLATE utf8_general_ci COMMENT 'Content pages (Snippets, Menu, Categories, Manual)';
    ALTER TABLE `oxcountry` DEFAULT CHARACTER SET utf8, COLLATE utf8_general_ci COMMENT 'Countries list';
    ALTER TABLE `oxdel2delset` DEFAULT CHARACTER SET utf8, COLLATE utf8_general_ci COMMENT 'Shows many-to-many relationship between Shipping cost rules (oxdelivery) and delivery methods (oxdeliveryset)';
    ALTER TABLE `oxdelivery` DEFAULT CHARACTER SET utf8, COLLATE utf8_general_ci COMMENT 'Delivery shipping cost rules';
    ALTER TABLE `oxdeliveryset` DEFAULT CHARACTER SET utf8, COLLATE utf8_general_ci COMMENT 'Delivery (shipping) methods';
    ALTER TABLE `oxdiscount` DEFAULT CHARACTER SET utf8, COLLATE utf8_general_ci COMMENT 'Article discounts';
    ALTER TABLE `oxgbentries` DEFAULT CHARACTER SET utf8, COLLATE utf8_general_ci COMMENT='Guestbook`s entries';
    ALTER TABLE `oxgroups` DEFAULT CHARACTER SET utf8, COLLATE utf8_general_ci COMMENT 'User groups';
    ALTER TABLE `oxgroups` MODIFY COLUMN `OXTITLE` varchar(128) NOT NULL DEFAULT '' COMMENT 'User groups';
    ALTER TABLE `oxlinks` DEFAULT CHARACTER SET utf8, COLLATE utf8_general_ci COMMENT 'Links';
    ALTER TABLE `oxlogs` DEFAULT CHARACTER SET utf8, COLLATE utf8_general_ci COMMENT 'Stores logs from actions processing';
    ALTER TABLE `oxmanufacturers` DEFAULT CHARACTER SET utf8, COLLATE utf8_general_ci COMMENT 'Shop manufacturers';
    ALTER TABLE `oxmediaurls` DEFAULT CHARACTER SET utf8, COLLATE utf8_general_ci COMMENT 'Stores objects media';
    ALTER TABLE `oxnews` DEFAULT CHARACTER SET utf8, COLLATE utf8_general_ci COMMENT 'Shop news';
    ALTER TABLE `oxnewssubscribed` DEFAULT CHARACTER SET utf8, COLLATE utf8_general_ci COMMENT 'User subscriptions';
    ALTER TABLE `oxobject2article` DEFAULT CHARACTER SET utf8, COLLATE utf8_general_ci COMMENT 'Shows many-to-many relationship between cross-selling articles';
    ALTER TABLE `oxobject2attribute` DEFAULT CHARACTER SET utf8, COLLATE utf8_general_ci COMMENT 'Shows many-to-many relationship between articles and attributes';
    ALTER TABLE `oxobject2category` DEFAULT CHARACTER SET utf8, COLLATE utf8_general_ci COMMENT 'Shows many-to-many relationship between articles and categories';
    ALTER TABLE `oxobject2delivery` DEFAULT CHARACTER SET utf8, COLLATE utf8_general_ci COMMENT 'Shows many-to-many relationship between delivery cost rules and objects (table determined by oxtype)';
    ALTER TABLE `oxobject2discount` DEFAULT CHARACTER SET utf8, COLLATE utf8_general_ci COMMENT 'Shows many-to-many relationship between discounts and objects (table determined by oxtype)';
    ALTER TABLE `oxobject2group` DEFAULT CHARACTER SET utf8, COLLATE utf8_general_ci COMMENT 'Shows many-to-many relationship between users and groups';
    ALTER TABLE `oxobject2list` DEFAULT CHARACTER SET utf8, COLLATE utf8_general_ci COMMENT 'Shows many-to-many relationship between articles and listmania lists';
    ALTER TABLE `oxobject2payment` DEFAULT CHARACTER SET utf8, COLLATE utf8_general_ci COMMENT 'Shows many-to-many relationship between payments and objects (table determined by oxtype)';
    ALTER TABLE `oxobject2selectlist` DEFAULT CHARACTER SET utf8, COLLATE utf8_general_ci COMMENT 'Shows many-to-many relationship between articles and selection lists';
    ALTER TABLE `oxobject2seodata` DEFAULT CHARACTER SET utf8, COLLATE utf8_general_ci COMMENT 'Seo entries';
    ALTER TABLE `oxorder` DEFAULT CHARACTER SET utf8, COLLATE utf8_general_ci COMMENT 'Shop orders information';
    ALTER TABLE `oxorderarticles` DEFAULT CHARACTER SET utf8, COLLATE utf8_general_ci COMMENT 'Ordered articles information';
    ALTER TABLE `oxpayments` DEFAULT CHARACTER SET utf8, COLLATE utf8_general_ci COMMENT 'Payment methods';
    ALTER TABLE `oxprice2article` DEFAULT CHARACTER SET utf8, COLLATE utf8_general_ci COMMENT 'Article scale prices';
    ALTER TABLE `oxpricealarm` DEFAULT CHARACTER SET utf8, COLLATE utf8_general_ci COMMENT 'Price fall alarm requests';
    ALTER TABLE `oxratings` DEFAULT CHARACTER SET utf8, COLLATE utf8_general_ci COMMENT 'Articles and Listmania ratings';
    ALTER TABLE `oxrecommlists` DEFAULT CHARACTER SET utf8, COLLATE utf8_general_ci COMMENT 'Listmania';
    ALTER TABLE `oxremark` DEFAULT CHARACTER SET utf8, COLLATE utf8_general_ci COMMENT 'User History';
    ALTER TABLE `oxreviews` DEFAULT CHARACTER SET utf8, COLLATE utf8_general_ci COMMENT 'Articles and Listmania reviews';
    ALTER TABLE `oxselectlist` DEFAULT CHARACTER SET utf8, COLLATE utf8_general_ci COMMENT 'Selection lists';
    ALTER TABLE `oxseo` DEFAULT CHARACTER SET utf8, COLLATE utf8_general_ci COMMENT 'Seo urls information';
    ALTER TABLE `oxseohistory` DEFAULT CHARACTER SET utf8, COLLATE utf8_general_ci COMMENT 'Seo urls history. If url does not exists in oxseo, then chec';
    ALTER TABLE `oxseologs` DEFAULT CHARACTER SET utf8, COLLATE utf8_general_ci COMMENT 'Seo logging. Logs bad requests';
    ALTER TABLE `oxshops` DEFAULT CHARACTER SET utf8, COLLATE utf8_general_ci COMMENT 'Shop config';
    ALTER TABLE `oxuser` DEFAULT CHARACTER SET utf8, COLLATE utf8_general_ci COMMENT 'Shop administrators and users';
    ALTER TABLE `oxuserbasketitems` DEFAULT CHARACTER SET utf8, COLLATE utf8_general_ci COMMENT 'User basket items';
    ALTER TABLE `oxuserbaskets` DEFAULT CHARACTER SET utf8, COLLATE utf8_general_ci COMMENT 'Active User baskets';
    ALTER TABLE `oxuserpayments` DEFAULT CHARACTER SET utf8, COLLATE utf8_general_ci COMMENT 'User payments';
    ALTER TABLE `oxvendor` DEFAULT CHARACTER SET utf8, COLLATE utf8_general_ci COMMENT 'Distributors list';
    ALTER TABLE `oxvouchers` DEFAULT CHARACTER SET utf8, COLLATE utf8_general_ci COMMENT 'Generated coupons';
    ALTER TABLE `oxvoucherseries` DEFAULT CHARACTER SET utf8, COLLATE utf8_general_ci COMMENT 'Coupon series';
    ALTER TABLE `oxwrapping` DEFAULT CHARACTER SET utf8, COLLATE utf8_general_ci COMMENT 'Wrappings';
    ALTER TABLE `oxstates` DEFAULT CHARACTER SET utf8, COLLATE utf8_general_ci COMMENT 'US States list';
    ALTER TABLE `oxtplblocks` DEFAULT CHARACTER SET utf8, COLLATE utf8_general_ci COMMENT 'Module template blocks';
    ALTER TABLE `oxcounters` DEFAULT CHARACTER SET utf8, COLLATE utf8_general_ci COMMENT 'Shop counters';
    ALTER TABLE `oxfiles` DEFAULT CHARACTER SET utf8, COLLATE utf8_general_ci COMMENT 'Files available for users to download';
    ALTER TABLE `oxorderfiles` DEFAULT CHARACTER SET utf8, COLLATE utf8_general_ci COMMENT 'Files, given to users to download after order';

    ALTER TABLE `oxnewsletter` DEFAULT CHARACTER SET utf8, COLLATE utf8_general_ci COMMENT 'Templates for sending newsletters';
    ALTER TABLE `oxstatistics` DEFAULT CHARACTER SET utf8, COLLATE utf8_general_ci COMMENT 'Statistics reports';
    ALTER TABLE `oxcaptcha` DEFAULT CHARACTER SET utf8, COLLATE utf8_general_ci COMMENT 'If session is not available, this is where captcha information is stored';


#   Change collation of all fields which keeps non language specific text data, like OXID, OXOBJECTID and others:

    ALTER TABLE `oxaccessoire2article` CHANGE `OXID` `OXID` CHAR( 32 ) CHARACTER SET latin1 COLLATE latin1_general_ci NOT NULL COMMENT 'Record id';
    ALTER TABLE `oxaccessoire2article` CHANGE `OXOBJECTID` `OXOBJECTID` char(32) CHARACTER SET latin1 COLLATE latin1_general_ci NOT NULL DEFAULT '' COMMENT 'Accessory Article id (oxarticles)';
    ALTER TABLE `oxaccessoire2article` CHANGE `OXARTICLENID` `OXARTICLENID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '' COMMENT 'Article id (oxarticles)';
    ALTER TABLE `oxacceptedterms` CHANGE `OXUSERID` `OXUSERID` char(32) character set latin1 collate latin1_general_ci NOT NULL COMMENT 'User id (oxuser)';
    ALTER TABLE `oxacceptedterms` CHANGE `OXTERMVERSION` `OXTERMVERSION` char(32) character set latin1 collate latin1_general_ci NOT NULL default '' COMMENT 'Terms version';
    ALTER TABLE `oxaddress` CHANGE `OXID` `OXID` char(32) character set latin1 collate latin1_general_ci NOT NULL COMMENT 'Address id';
    ALTER TABLE `oxaddress` CHANGE `OXUSERID` `OXUSERID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '' COMMENT 'User id (oxuser)';
    ALTER TABLE `oxaddress` CHANGE `OXADDRESSUSERID` `OXADDRESSUSERID` varchar(32) character set latin1 collate latin1_general_ci NOT NULL COMMENT 'User id (oxuser)';
    ALTER TABLE `oxaddress` CHANGE `OXCOUNTRYID` `OXCOUNTRYID` varchar(32) character set latin1 collate latin1_general_ci NOT NULL default '' COMMENT 'Country id (oxcountry)';
    ALTER TABLE `oxadminlog` CHANGE `OXUSERID` `OXUSERID` char( 32 ) character set latin1 collate latin1_general_ci NOT NULL default '' COMMENT 'User id (oxuser)';
    ALTER TABLE `oxarticles` CHANGE `OXID` `OXID` char(32) character set latin1 collate latin1_general_ci NOT NULL COMMENT 'Article id';
    ALTER TABLE `oxarticles` CHANGE `OXPARENTID` `OXPARENTID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '' COMMENT 'Parent article id';
    ALTER TABLE `oxarticles` CHANGE `OXAMITEMID` `OXAMITEMID` varchar(32) character set latin1 collate latin1_general_ci NOT NULL default '' ;
    ALTER TABLE `oxarticles` CHANGE `OXAMTASKID` `OXAMTASKID` varchar(16) character set latin1 collate latin1_general_ci NOT NULL default '0' ;
    ALTER TABLE `oxarticles` CHANGE `OXVENDORID` `OXVENDORID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '' COMMENT 'Vendor id (oxvendor)';
    ALTER TABLE `oxarticles` CHANGE `OXMANUFACTURERID` `OXMANUFACTURERID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '' COMMENT 'Manufacturer id (oxmanufacturers)';
    ALTER TABLE `oxarticles` CHANGE `OXDELTIMEUNIT` `OXDELTIMEUNIT` varchar(255) character set latin1 collate latin1_general_ci NOT NULL default '' COMMENT 'Delivery time unit: DAY, WEEK, MONTH';
    ALTER TABLE `oxartextends` CHANGE `OXID` `OXID` char(32) character set latin1 collate latin1_general_ci NOT NULL COMMENT 'Article id (extends oxarticles article with this id)';
    ALTER TABLE `oxattribute` CHANGE `OXID` `OXID` char(32) character set latin1 collate latin1_general_ci NOT NULL COMMENT 'Attribute id';
    ALTER TABLE `oxuserbaskets` CHANGE `OXID` `OXID` char(32) character set latin1 collate latin1_general_ci NOT NULL COMMENT 'Basket id';
    ALTER TABLE `oxuserbaskets` CHANGE `OXUSERID` `OXUSERID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '' COMMENT 'User id (oxuser)';
    ALTER TABLE `oxuserbasketitems` CHANGE `OXID` `OXID` char(32) character set latin1 collate latin1_general_ci NOT NULL COMMENT 'Item id';
    ALTER TABLE `oxuserbasketitems` CHANGE `OXBASKETID` `OXBASKETID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '' COMMENT 'Basket id (oxuserbaskets)';
    ALTER TABLE `oxuserbasketitems` CHANGE `OXARTID` `OXARTID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '' COMMENT 'Article id (oxarticles)';
    ALTER TABLE `oxuserbasketitems` CHANGE `OXPERSPARAM` `OXPERSPARAM` text CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT 'Serialized persistent parameters';
    ALTER TABLE `oxcategories` CHANGE `OXID` `OXID` char(32) character set latin1 collate latin1_general_ci NOT NULL COMMENT 'Category id';
    ALTER TABLE `oxcategories` CHANGE `OXPARENTID` `OXPARENTID` char(32) character set latin1 collate latin1_general_ci NOT NULL default 'oxrootid' COMMENT 'Parent category id';
    ALTER TABLE `oxcategories` CHANGE `OXROOTID` `OXROOTID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '' COMMENT 'Root category id';
    ALTER TABLE `oxconfig` CHANGE `OXID` `OXID` char(32) character set latin1 collate latin1_general_ci NOT NULL COMMENT 'Config id';
    ALTER TABLE `oxconfigdisplay` CHANGE `OXID` `OXID` char(32) character set latin1 collate latin1_general_ci NOT NULL COMMENT 'Config id (extends oxconfig record with this id)';
    ALTER TABLE `oxcontents` CHANGE `OXID` `OXID` char(32) character set latin1 collate latin1_general_ci NOT NULL COMMENT 'Content id';
    ALTER TABLE `oxcontents` CHANGE `OXLOADID` `OXLOADID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '' COMMENT 'Id, specified by admin and can be used instead of oxid';
    ALTER TABLE `oxcontents` CHANGE `OXCATID` `OXCATID` varchar(32) character set latin1 collate latin1_general_ci default NULL COMMENT 'Category id (oxcategories), used only when type = 2';
    ALTER TABLE `oxcountry` CHANGE `OXID` `OXID` char(32) character set latin1 collate latin1_general_ci NOT NULL COMMENT 'Country id';
    ALTER TABLE `oxdelivery` CHANGE `OXID` `OXID` char(32) character set latin1 collate latin1_general_ci NOT NULL COMMENT 'Delivery shipping cost rule id';
    ALTER TABLE `oxdiscount` CHANGE `OXID` `OXID` char(32) character set latin1 collate latin1_general_ci NOT NULL COMMENT 'Discount id';
    ALTER TABLE `oxdiscount` CHANGE `OXITMARTID` `OXITMARTID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '' COMMENT 'Free article id, that will be added as a discount';
    ALTER TABLE `oxgbentries` CHANGE `OXID` `OXID` char(32) character set latin1 collate latin1_general_ci NOT NULL COMMENT 'Entry id';
    ALTER TABLE `oxgbentries` CHANGE `OXUSERID` `OXUSERID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '' COMMENT 'User id (oxuser)';
    ALTER TABLE `oxgroups` CHANGE `OXID` `OXID` char(32) character set latin1 collate latin1_general_ci NOT NULL COMMENT 'Group id';
    ALTER TABLE `oxlinks` CHANGE `OXID` `OXID` char(32) character set latin1 collate latin1_general_ci NOT NULL COMMENT 'Link id';
    ALTER TABLE `oxlogs` CHANGE `OXUSERID` `OXUSERID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '' COMMENT 'User id (oxuser)';
    ALTER TABLE `oxlogs` CHANGE `OXSESSID` `OXSESSID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '' COMMENT 'Session id';
    ALTER TABLE `oxlogs` CHANGE `OXCLASS` `OXCLASS` char(32) character set latin1 collate latin1_general_ci NOT NULL default '' COMMENT 'Logged class name';
    ALTER TABLE `oxlogs` CHANGE `OXFNC` `OXFNC` char(32) character set latin1 collate latin1_general_ci NOT NULL default '' COMMENT 'Logged function name';
    ALTER TABLE `oxlogs` CHANGE `OXCNID` `OXCNID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '' COMMENT 'Active category id (oxcategories)';
    ALTER TABLE `oxlogs` CHANGE `OXANID` `OXANID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '' COMMENT 'Active article id (oxarticles)';
    ALTER TABLE `oxvouchers` CHANGE `OXORDERID` `OXORDERID` char(32) character set latin1 collate latin1_general_ci NOT NULL DEFAULT '' COMMENT 'Order id (oxorder)';
    ALTER TABLE `oxvouchers` CHANGE `OXUSERID` `OXUSERID` char(32) character set latin1 collate latin1_general_ci NOT NULL DEFAULT '' COMMENT 'User id (oxuser)';
    ALTER TABLE `oxvouchers` CHANGE `OXVOUCHERSERIEID` `OXVOUCHERSERIEID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '' COMMENT 'Coupon Series id (oxvoucherseries)';
    ALTER TABLE `oxvouchers` CHANGE `OXID` `OXID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '' COMMENT 'Coupon id';
    ALTER TABLE `oxvoucherseries` CHANGE `OXID` `OXID` char(32) character set latin1 collate latin1_general_ci NOT NULL DEFAULT '' COMMENT 'Series id';
    ALTER TABLE `oxnews` CHANGE `OXID` `OXID` char(32) character set latin1 collate latin1_general_ci NOT NULL COMMENT 'News id';
    ALTER TABLE `oxobject2article` CHANGE `OXID` `OXID` char(32) character set latin1 collate latin1_general_ci NOT NULL COMMENT 'Record id';
    ALTER TABLE `oxobject2article` CHANGE `OXOBJECTID` `OXOBJECTID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '' COMMENT 'Cross-selling Article id (oxarticles)';
    ALTER TABLE `oxobject2article` CHANGE `OXARTICLENID` `OXARTICLENID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '' COMMENT 'Main Article id (oxarticles)';
    ALTER TABLE `oxobject2attribute` CHANGE `OXID` `OXID` char(32) character set latin1 collate latin1_general_ci NOT NULL COMMENT 'Record id';
    ALTER TABLE `oxobject2attribute` CHANGE `OXOBJECTID` `OXOBJECTID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '' COMMENT 'Article id (oxarticles)';
    ALTER TABLE `oxobject2attribute` CHANGE `OXATTRID` `OXATTRID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '' COMMENT 'Attribute id (oxattributes)';
    ALTER TABLE `oxobject2category` CHANGE `OXID` `OXID` char(32) character set latin1 collate latin1_general_ci NOT NULL COMMENT 'Record id';
    ALTER TABLE `oxobject2category` CHANGE `OXOBJECTID` `OXOBJECTID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '' COMMENT 'Article id (oxarticles)';
    ALTER TABLE `oxobject2category` CHANGE `OXCATNID` `OXCATNID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '' COMMENT 'Category id (oxcategory)';
    ALTER TABLE `oxobject2delivery` CHANGE `OXID` `OXID` char(32) character set latin1 collate latin1_general_ci NOT NULL COMMENT 'Record id';
    ALTER TABLE `oxobject2delivery` CHANGE `OXDELIVERYID` `OXDELIVERYID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '' COMMENT 'Delivery id (oxdelivery)';
    ALTER TABLE `oxobject2delivery` CHANGE `OXOBJECTID` `OXOBJECTID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '' COMMENT 'Object id (table determined by oxtype)';
    ALTER TABLE `oxobject2delivery` CHANGE `OXTYPE` `OXTYPE` char(32) character set latin1 collate latin1_general_ci NOT NULL default '' COMMENT 'Record type';
    ALTER TABLE `oxobject2discount` CHANGE `OXID` `OXID` char(32) character set latin1 collate latin1_general_ci NOT NULL COMMENT 'Record id';
    ALTER TABLE `oxobject2discount` CHANGE `OXDISCOUNTID` `OXDISCOUNTID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '' COMMENT 'Discount id (oxdiscount)';
    ALTER TABLE `oxobject2discount` CHANGE `OXOBJECTID` `OXOBJECTID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '' COMMENT 'Object id (table determined by oxtype)';
    ALTER TABLE `oxobject2discount` CHANGE `OXTYPE` `OXTYPE` char(32) character set latin1 collate latin1_general_ci NOT NULL default '' COMMENT 'Record type';
    ALTER TABLE `oxobject2group` CHANGE `OXID` `OXID` char(32) character set latin1 collate latin1_general_ci NOT NULL COMMENT 'Record id';
    ALTER TABLE `oxobject2group` CHANGE `OXOBJECTID` `OXOBJECTID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '' COMMENT 'User id';
    ALTER TABLE `oxobject2group` CHANGE `OXGROUPSID` `OXGROUPSID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '' COMMENT 'Group id';
    ALTER TABLE `oxobject2payment` CHANGE `OXID` `OXID` char(32) character set latin1 collate latin1_general_ci NOT NULL COMMENT 'Record id';
    ALTER TABLE `oxobject2payment` CHANGE `OXPAYMENTID` `OXPAYMENTID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '' COMMENT 'Payment id (oxpayments)';
    ALTER TABLE `oxobject2payment` CHANGE `OXOBJECTID` `OXOBJECTID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '' COMMENT 'Object id (table determined by oxtype)';
    ALTER TABLE `oxobject2payment` CHANGE `OXTYPE` `OXTYPE` char(32) character set latin1 collate latin1_general_ci NOT NULL default '' COMMENT 'Record type';
    ALTER TABLE `oxobject2selectlist` CHANGE `OXID` `OXID` char(32) character set latin1 collate latin1_general_ci NOT NULL COMMENT 'Record id';
    ALTER TABLE `oxobject2selectlist` CHANGE `OXOBJECTID` `OXOBJECTID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '' COMMENT 'Article id (oxarticles)';
    ALTER TABLE `oxobject2selectlist` CHANGE `OXSELNID` `OXSELNID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '' COMMENT 'Selection list id (oxselectlist)';
    ALTER TABLE `oxorder` CHANGE `OXID` `OXID` char(32) character set latin1 collate latin1_general_ci NOT NULL COMMENT 'Order id';
    ALTER TABLE `oxorder` CHANGE `OXUSERID` `OXUSERID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '' COMMENT 'User id (oxuser)';
    ALTER TABLE `oxorder` CHANGE `OXBILLCOUNTRYID` `OXBILLCOUNTRYID` varchar(32) character set latin1 collate latin1_general_ci NOT NULL default '' COMMENT 'Billing info: Country id (oxcountry)';
    ALTER TABLE `oxorder` CHANGE `OXDELCOUNTRYID` `OXDELCOUNTRYID` varchar(32) character set latin1 collate latin1_general_ci NOT NULL default '' COMMENT 'Shipping info: Country id (oxcountry)';
    ALTER TABLE `oxorder` CHANGE `OXPAYMENTID` `OXPAYMENTID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '' COMMENT 'User payment id (oxuserpayments)';
    ALTER TABLE `oxorder` CHANGE `OXPAYMENTTYPE` `OXPAYMENTTYPE` char(32) character set latin1 collate latin1_general_ci NOT NULL default '' COMMENT 'Payment id (oxpayments)';
    ALTER TABLE `oxorder` CHANGE `OXCARDID` `OXCARDID` varchar( 32 ) character set latin1 collate latin1_general_ci NOT NULL default '' COMMENT 'Gift card id (oxwrapping)';
    ALTER TABLE `oxorder` CHANGE `OXPAYID` `OXPAYID` varchar(64) character set latin1 collate latin1_general_ci NOT NULL default '';
    ALTER TABLE `oxorder` CHANGE `OXDELTYPE` `OXDELTYPE` char(32) character set latin1 collate latin1_general_ci NOT NULL default '' COMMENT 'Delivery id (oxdeliveryset)';
    ALTER TABLE `oxorderarticles` CHANGE `OXID` `OXID` char(32) character set latin1 collate latin1_general_ci NOT NULL COMMENT 'Order article id';
    ALTER TABLE `oxorderarticles` CHANGE `OXORDERID` `OXORDERID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '' COMMENT 'Order id (oxorder)';
    ALTER TABLE `oxorderarticles` CHANGE `OXARTID` `OXARTID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '' COMMENT 'Article id (oxarticles)';
    ALTER TABLE `oxpayments` CHANGE `OXID` `OXID` char(32) character set latin1 collate latin1_general_ci NOT NULL COMMENT 'Payment id';
    ALTER TABLE `oxprice2article` CHANGE `OXID` `OXID` char(32) character set latin1 collate latin1_general_ci NOT NULL COMMENT 'Record id';
    ALTER TABLE `oxprice2article` CHANGE `OXARTID` `OXARTID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '' COMMENT 'Article id (oxarticles)';
    ALTER TABLE `oxpricealarm` CHANGE `OXID` `OXID` char(32) character set latin1 collate latin1_general_ci NOT NULL COMMENT 'Price alarm id';
    ALTER TABLE `oxpricealarm` CHANGE `OXUSERID` `OXUSERID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '' COMMENT 'User id (oxuser)';
    ALTER TABLE `oxpricealarm` CHANGE `OXARTID` `OXARTID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '' COMMENT 'Article id (oxarticles)';
    ALTER TABLE `oxrecommlists` CHANGE `OXID` `OXID` char(32) character set latin1 collate latin1_general_ci NOT NULL COMMENT 'Listmania id';
    ALTER TABLE `oxrecommlists` CHANGE `OXUSERID` `OXUSERID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '' COMMENT 'User id (oxuser)';
    ALTER TABLE `oxobject2list` CHANGE `OXID` `OXID` char(32) character set latin1 collate latin1_general_ci NOT NULL COMMENT 'Record id';
    ALTER TABLE `oxobject2list` CHANGE `OXOBJECTID` `OXOBJECTID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '' COMMENT 'Article id (oxarticles)';
    ALTER TABLE `oxobject2list` CHANGE `OXLISTID` `OXLISTID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '' COMMENT 'Listmania id (oxrecommlists)';
    ALTER TABLE `oxremark` CHANGE `OXID` `OXID` char(32) character set latin1 collate latin1_general_ci NOT NULL COMMENT 'Record id';
    ALTER TABLE `oxremark` CHANGE `OXPARENTID` `OXPARENTID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '' COMMENT 'User id (oxuser)';
    ALTER TABLE `oxratings` CHANGE `OXID` `OXID` char(32) character set latin1 collate latin1_general_ci NOT NULL COMMENT 'Rating id';
    ALTER TABLE `oxratings` CHANGE `OXUSERID` `OXUSERID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '' COMMENT 'User id (oxuser)';
    ALTER TABLE `oxratings` CHANGE `OXOBJECTID` `OXOBJECTID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '' COMMENT 'Article or Listmania id (oxarticles or oxrecommlists)';
    ALTER TABLE `oxreviews` CHANGE `OXID` `OXID` char(32) character set latin1 collate latin1_general_ci NOT NULL COMMENT 'Review id';
    ALTER TABLE `oxreviews` CHANGE `OXOBJECTID` `OXOBJECTID` char(32) character set latin1 collate latin1_general_ci NOT NULL COMMENT 'Article or Listmania id (oxarticles or oxrecommlist)';
    ALTER TABLE `oxreviews` CHANGE `OXUSERID` `OXUSERID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '' COMMENT 'User id (oxuser)';
    ALTER TABLE `oxselectlist` CHANGE `OXID` `OXID` char(32) character set latin1 collate latin1_general_ci NOT NULL COMMENT 'Selection list id';
    ALTER TABLE `oxshops` CHANGE `OXDEFCAT` `OXDEFCAT` char(32) character set latin1 collate latin1_general_ci NOT NULL default '' COMMENT 'Default category id';
    ALTER TABLE `oxuser` CHANGE `OXID` `OXID` char(32) character set latin1 collate latin1_general_ci NOT NULL COMMENT 'User id';
    ALTER TABLE `oxuser` CHANGE `OXRIGHTS` `OXRIGHTS` char(32) character set latin1 collate latin1_general_ci NOT NULL default '' COMMENT 'User rights: user, malladmin';
    ALTER TABLE `oxuser` CHANGE `OXPASSSALT` `OXPASSSALT` char(128) character set latin1 collate latin1_general_ci NOT NULL COMMENT 'Password salt';
    ALTER TABLE `oxuser` CHANGE `OXCOUNTRYID` `OXCOUNTRYID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '' COMMENT 'Country id (oxcountry)';
    ALTER TABLE `oxuserpayments` CHANGE `OXID` `OXID` char(32) character set latin1 collate latin1_general_ci NOT NULL COMMENT 'Payment id';
    ALTER TABLE `oxuserpayments` CHANGE `OXUSERID` `OXUSERID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '' COMMENT 'User id (oxusers)';
    ALTER TABLE `oxuserpayments` CHANGE `OXPAYMENTSID` `OXPAYMENTSID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '' COMMENT 'Payment id (oxpayments)';
    ALTER TABLE `oxuserpayments` CHANGE `OXID` `OXID` char(32) character set latin1 collate latin1_general_ci NOT NULL COMMENT 'Payment id';
    ALTER TABLE `oxactions2article` CHANGE `OXID` `OXID` char(32) character set latin1 collate latin1_general_ci NOT NULL COMMENT 'Record id';
    ALTER TABLE `oxactions2article` CHANGE `OXACTIONID` `OXACTIONID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '' COMMENT 'Action id (oxactions)';
    ALTER TABLE `oxactions2article` CHANGE `OXARTID` `OXARTID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '' COMMENT 'Article id (oxarticles)';
    ALTER TABLE `oxwrapping` CHANGE `OXID` `OXID` char(32) character set latin1 collate latin1_general_ci NOT NULL COMMENT 'Wrapping id';
    ALTER TABLE `oxdel2delset` CHANGE `OXID` `OXID` char(32) character set latin1 collate latin1_general_ci NOT NULL COMMENT 'Record id';
    ALTER TABLE `oxdel2delset` CHANGE `OXDELID` `OXDELID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '' COMMENT 'Shipping cost rule id (oxdelivery)';
    ALTER TABLE `oxdel2delset` CHANGE `OXDELSETID` `OXDELSETID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '' COMMENT 'Delivery method id (oxdeliveryset)';
    ALTER TABLE `oxdeliveryset` CHANGE `OXID` `OXID` char(32) character set latin1 collate latin1_general_ci NOT NULL COMMENT 'Delivery method id';
    ALTER TABLE `oxcategory2attribute` CHANGE `OXID` `OXID` char(32) character set latin1 collate latin1_general_ci NOT NULL COMMENT 'Record id';
    ALTER TABLE `oxcategory2attribute` CHANGE `OXOBJECTID` `OXOBJECTID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '' COMMENT 'Category id (oxcategories)';
    ALTER TABLE `oxcategory2attribute` CHANGE `OXATTRID` `OXATTRID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '' COMMENT 'Attribute id (oxattributes)';
    ALTER TABLE `oxnewssubscribed` CHANGE `OXID` `OXID` char(32) character set latin1 collate latin1_general_ci NOT NULL COMMENT 'Subscription id';
    ALTER TABLE `oxnewssubscribed` CHANGE `OXUSERID` `OXUSERID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '' COMMENT 'User id (oxuser)';
    ALTER TABLE `oxvendor` CHANGE `OXID` `OXID` char(32) character set latin1 collate latin1_general_ci NOT NULL COMMENT 'Vendor id';
    ALTER TABLE `oxmanufacturers` CHANGE `OXID` `OXID` char(32) character set latin1 collate latin1_general_ci NOT NULL COMMENT 'Manufacturer id';
    ALTER TABLE `oxseo` CHANGE `OXOBJECTID` `OXOBJECTID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '' COMMENT 'Object id';
    ALTER TABLE `oxseo` CHANGE `OXIDENT` `OXIDENT` char(32) character set latin1 collate latin1_general_ci NOT NULL default '' COMMENT 'Hashed seo url (md5)';
    ALTER TABLE `oxseohistory` CHANGE `OXOBJECTID` `OXOBJECTID` char(32) character set latin1 collate latin1_general_ci NOT NULL COMMENT 'Object id';
    ALTER TABLE `oxseohistory` CHANGE `OXIDENT` `OXIDENT` char(32) character set latin1 collate latin1_general_ci NOT NULL COMMENT 'Hashed url (md5)';
    ALTER TABLE `oxseologs` CHANGE `OXIDENT` `OXIDENT` char(32) character set latin1 collate latin1_general_ci NOT NULL COMMENT 'Hashed seo url';
    ALTER TABLE `oxmediaurls` CHANGE `OXID` `OXID` char(32) character set latin1 collate latin1_general_ci NOT NULL COMMENT 'Media id';
    ALTER TABLE `oxmediaurls` CHANGE `OXOBJECTID` `OXOBJECTID` char(32) character set latin1 collate latin1_general_ci NOT NULL COMMENT 'Article id (oxarticles)';
    ALTER TABLE `oxcounters` CHANGE `OXIDENT` `OXIDENT` char(32) character set latin1 collate latin1_general_ci NOT NULL COMMENT 'Counter id';
    ALTER TABLE `oxfiles` CHANGE `OXID` `OXID` char(32) character set latin1 collate latin1_general_ci NOT NULL COMMENT 'File id';
    ALTER TABLE `oxfiles` CHANGE `OXARTID` `OXARTID` char(32) character set latin1 collate latin1_general_ci NOT NULL COMMENT 'Article id (oxarticles)';
    ALTER TABLE `oxfiles` CHANGE `OXSTOREHASH` `OXSTOREHASH` char(32) character set latin1 collate latin1_general_ci NOT NULL COMMENT 'Hashed filename, used for file directory path creation';
    ALTER TABLE `oxorderfiles` CHANGE `OXID` `OXID` char(32) character set latin1 collate latin1_general_ci NOT NULL COMMENT 'Order file id';
    ALTER TABLE `oxorderfiles` CHANGE `OXORDERID` `OXORDERID` char(32) character set latin1 collate latin1_general_ci NOT NULL COMMENT 'Order id (oxorder)';
    ALTER TABLE `oxorderfiles` CHANGE `OXFILEID` `OXFILEID` char(32) character set latin1 collate latin1_general_ci NOT NULL COMMENT 'File id (oxfiles)';
    ALTER TABLE `oxorderfiles` CHANGE `OXORDERARTICLEID` `OXORDERARTICLEID` char(32) character set latin1 collate latin1_general_ci NOT NULL COMMENT 'Ordered article id (oxorderarticles)';

    ALTER TABLE `oxarticles` CHANGE `OXBUNDLEID` `OXBUNDLEID` varchar(32) character set latin1 collate latin1_general_ci NOT NULL default '' COMMENT 'Bundled article id';
    ALTER TABLE `oxnewsletter` CHANGE `OXID` `OXID` char(32) character set latin1 collate latin1_general_ci NOT NULL COMMENT 'Newsletter id';
    ALTER TABLE `oxstatistics` CHANGE `OXID` `OXID` char(32) character set latin1 collate latin1_general_ci NOT NULL COMMENT 'Record id';
    ALTER TABLE `oxarticles` CHANGE `OXSHOPID` `OXSHOPID` varchar(32) character set latin1 collate latin1_general_ci NOT NULL default '' COMMENT 'Shop id (oxshops)';
    ALTER TABLE `oxattribute` CHANGE `OXSHOPID` `OXSHOPID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '' COMMENT 'Shop id (oxshops)';
    ALTER TABLE `oxcategories` CHANGE `OXSHOPID` `OXSHOPID` varchar(32) character set latin1 collate latin1_general_ci NOT NULL default '' COMMENT 'Shop id (oxshops)';
    ALTER TABLE `oxconfig` CHANGE `OXSHOPID` `OXSHOPID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '' COMMENT 'Shop id (oxshops)';
    ALTER TABLE `oxcontents` CHANGE `OXSHOPID` `OXSHOPID` varchar(32) character set latin1 collate latin1_general_ci NOT NULL default '' COMMENT 'Shop id (oxshops)';
    ALTER TABLE `oxacceptedterms` CHANGE `OXSHOPID` `OXSHOPID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '' COMMENT 'Shop id (oxshops)';
    ALTER TABLE `oxdelivery` CHANGE `OXSHOPID` `OXSHOPID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '' COMMENT 'Shop id (oxshops)';
    ALTER TABLE `oxdiscount` CHANGE `OXSHOPID` `OXSHOPID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '' COMMENT 'Shop id (oxshops)';
    ALTER TABLE `oxgbentries` CHANGE `OXSHOPID` `OXSHOPID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '' COMMENT 'Shop id (oxshops)';
    ALTER TABLE `oxlinks` CHANGE `OXSHOPID` `OXSHOPID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '' COMMENT 'Shop id (oxshops)';
    ALTER TABLE `oxlogs` CHANGE `OXSHOPID` `OXSHOPID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '' COMMENT 'Shop id (oxshops)';
    ALTER TABLE `oxnews` CHANGE `OXSHOPID` `OXSHOPID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '' COMMENT 'Shop id (oxshops)';
    ALTER TABLE `oxnewsletter` CHANGE `OXSHOPID` `OXSHOPID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '' COMMENT 'Shop id (oxshops)';
    ALTER TABLE `oxobject2group` CHANGE `OXSHOPID` `OXSHOPID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '' COMMENT 'Shop id (oxshops)';
    ALTER TABLE `oxorder` CHANGE `OXSHOPID` `OXSHOPID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '' COMMENT 'Shop id (oxshops)';
    ALTER TABLE `oxprice2article` CHANGE `OXSHOPID` `OXSHOPID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '' COMMENT 'Shop id (oxshops)';
    ALTER TABLE `oxpricealarm` CHANGE `OXSHOPID` `OXSHOPID` char( 32 ) character set latin1 collate latin1_general_ci NOT NULL default '' COMMENT 'Shop id (oxshops)';
    ALTER TABLE `oxrecommlists` CHANGE `OXSHOPID` `OXSHOPID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '' COMMENT 'Shop id (oxshops)';
    ALTER TABLE `oxratings` CHANGE `OXSHOPID` `OXSHOPID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '' COMMENT 'Shop id (oxshops)';
    ALTER TABLE `oxselectlist` CHANGE `OXSHOPID` `OXSHOPID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '' COMMENT 'Shop id (oxshops)';
    ALTER TABLE `oxshops` CHANGE `OXID` `OXID` char(32) character set latin1 collate latin1_general_ci NOT NULL COMMENT 'Shop id';
    ALTER TABLE `oxstatistics` CHANGE `OXSHOPID` `OXSHOPID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '' COMMENT 'Shop id (oxshops)';
    ALTER TABLE `oxactions2article` CHANGE `OXSHOPID` `OXSHOPID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '' COMMENT 'Shop id (oxshops)';
    ALTER TABLE `oxwrapping` CHANGE `OXSHOPID` `OXSHOPID` varchar(32) character set latin1 collate latin1_general_ci NOT NULL default '' COMMENT 'Shop id (oxshops)';
    ALTER TABLE `oxdeliveryset` CHANGE `OXSHOPID` `OXSHOPID` varchar(32) character set latin1 collate latin1_general_ci NOT NULL default '' COMMENT 'Shop id (oxshops)';
    ALTER TABLE `oxvendor` CHANGE `OXSHOPID` `OXSHOPID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '' COMMENT 'Shop id (oxshops)';
    ALTER TABLE `oxmanufacturers` CHANGE `OXSHOPID` `OXSHOPID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '' COMMENT 'Shop id (oxshops)';
    ALTER TABLE `oxseo` CHANGE `OXSHOPID` `OXSHOPID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '' COMMENT 'Shop id (oxshops)';
    ALTER TABLE `oxobject2seodata` CHANGE `OXSHOPID` `OXSHOPID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '' COMMENT 'Shop id (oxshops)';
    ALTER TABLE `oxseohistory` CHANGE `OXSHOPID` `OXSHOPID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '' COMMENT 'Shop id (oxshops)';
    ALTER TABLE `oxseologs` CHANGE `OXSHOPID` `OXSHOPID` char(32) character set latin1 collate latin1_general_ci NOT NULL default '' COMMENT 'Shop id (oxshops)';
    ALTER TABLE `oxorderarticles` CHANGE `OXORDERSHOPID` `OXORDERSHOPID` varchar(32) character set latin1 collate latin1_general_ci NOT NULL default '' COMMENT 'Shop id (oxshops), in which order was done';



#   And finally update all UTF-8 covered fields:

    ALTER TABLE `oxaddress` CHANGE `OXCOMPANY` `OXCOMPANY` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Company name';
    ALTER TABLE `oxaddress` CHANGE `OXFNAME` `OXFNAME` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'First name';
    ALTER TABLE `oxaddress` CHANGE `OXLNAME` `OXLNAME` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Last name';
    ALTER TABLE `oxaddress` CHANGE `OXSTREET` `OXSTREET` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Street';
    ALTER TABLE `oxaddress` CHANGE `OXSTREETNR` `OXSTREETNR` varchar(16) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'House number';
    ALTER TABLE `oxaddress` CHANGE `OXADDINFO` `OXADDINFO` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Additional info';
    ALTER TABLE `oxaddress` CHANGE `OXCITY` `OXCITY` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'City';
    ALTER TABLE `oxaddress` CHANGE `OXCOUNTRY` `OXCOUNTRY` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Country name';
    ALTER TABLE `oxaddress` CHANGE `OXZIP` `OXZIP` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Zip code';
    ALTER TABLE `oxaddress` CHANGE `OXFON` `OXFON` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Phone number';
    ALTER TABLE `oxaddress` CHANGE `OXFAX` `OXFAX` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Fax number';
    ALTER TABLE `oxaddress` CHANGE `OXSAL` `OXSAL` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'User title prefix (Mr/Mrs)';
    ALTER TABLE `oxadminlog` CHANGE `OXSQL` `OXSQL` text CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT 'Logged sql';
    ALTER TABLE `oxarticles` CHANGE `OXARTNUM` `OXARTNUM` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Article number';
    ALTER TABLE `oxarticles` CHANGE `OXEAN` `OXEAN` varchar(13) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'International Article Number (EAN)';
    ALTER TABLE `oxarticles` CHANGE `OXDISTEAN` `OXDISTEAN` varchar(13) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Manufacture International Article Number (Man. EAN)';
    ALTER TABLE `oxarticles` CHANGE `OXTITLE` `OXTITLE` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Title (multilanguage)';
    ALTER TABLE `oxarticles` CHANGE `OXSHORTDESC` `OXSHORTDESC` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Short description (multilanguage)';
    ALTER TABLE `oxarticles` CHANGE `OXUNITNAME` `OXUNITNAME` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Unit name (kg,g,l,cm etc), used in setting price per quantity unit calculation';
    ALTER TABLE `oxarticles` CHANGE `OXEXTURL` `OXEXTURL` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'External URL to other information about the article';
    ALTER TABLE `oxarticles` CHANGE `OXURLDESC` `OXURLDESC` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Text for external URL (multilanguage)';
    ALTER TABLE `oxarticles` CHANGE `OXURLIMG` `OXURLIMG` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'External URL image';
    ALTER TABLE `oxarticles` CHANGE `OXTHUMB` `OXTHUMB` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Thumbnail filename';
    ALTER TABLE `oxarticles` CHANGE `OXICON` `OXICON` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Icon filename';
    ALTER TABLE `oxarticles` CHANGE `OXPIC1` `OXPIC1` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT '1# Picture filename';
    ALTER TABLE `oxarticles` CHANGE `OXPIC2` `OXPIC2` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT '2# Picture filename';
    ALTER TABLE `oxarticles` CHANGE `OXPIC3` `OXPIC3` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT '3# Picture filename';
    ALTER TABLE `oxarticles` CHANGE `OXPIC4` `OXPIC4` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT '4# Picture filename';
    ALTER TABLE `oxarticles` CHANGE `OXPIC5` `OXPIC5` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT '5# Picture filename';
    ALTER TABLE `oxarticles` CHANGE `OXPIC6` `OXPIC6` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT '6# Picture filename';
    ALTER TABLE `oxarticles` CHANGE `OXPIC7` `OXPIC7` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT '7# Picture filename';
    ALTER TABLE `oxarticles` CHANGE `OXPIC8` `OXPIC8` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT '8# Picture filename';
    ALTER TABLE `oxarticles` CHANGE `OXPIC9` `OXPIC9` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT '9# Picture filename';
    ALTER TABLE `oxarticles` CHANGE `OXPIC10` `OXPIC10` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT '10# Picture filename';
    ALTER TABLE `oxarticles` CHANGE `OXPIC11` `OXPIC11` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT '11# Picture filename';
    ALTER TABLE `oxarticles` CHANGE `OXPIC12` `OXPIC12` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT '12# Picture filename';
    ALTER TABLE `oxarticles` CHANGE `OXSTOCKTEXT` `OXSTOCKTEXT` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Message, which is shown if the article is in stock (multilanguage)';
    ALTER TABLE `oxarticles` CHANGE `OXNOSTOCKTEXT` `OXNOSTOCKTEXT` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Message, which is shown if the article is off stock (multilanguage)';
    ALTER TABLE `oxarticles` CHANGE `OXFILE` `OXFILE` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'File, shown in article media list';
    ALTER TABLE `oxarticles` CHANGE `OXSEARCHKEYS` `OXSEARCHKEYS` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Search terms (multilanguage)';
    ALTER TABLE `oxarticles` CHANGE `OXTEMPLATE` `OXTEMPLATE` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Alternative template filename (if empty, default is used)';
    ALTER TABLE `oxarticles` CHANGE `OXQUESTIONEMAIL` `OXQUESTIONEMAIL` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'E-mail for question';
    ALTER TABLE `oxarticles` CHANGE `OXVARNAME` `OXVARNAME` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Name of variants selection lists (different lists are separated by | ) (multilanguage)';
    ALTER TABLE `oxarticles` CHANGE `OXVARSELECT` `OXVARSELECT` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Variant article selections (separated by | ) (multilanguage)';
    ALTER TABLE `oxarticles` CHANGE `OXVARNAME_1` `OXVARNAME_1` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxarticles` CHANGE `OXVARSELECT_1` `OXVARSELECT_1` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxarticles` CHANGE `OXVARNAME_2` `OXVARNAME_2` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxarticles` CHANGE `OXVARSELECT_2` `OXVARSELECT_2` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxarticles` CHANGE `OXVARNAME_3` `OXVARNAME_3` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxarticles` CHANGE `OXVARSELECT_3` `OXVARSELECT_3` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxarticles` CHANGE `OXTITLE_1` `OXTITLE_1` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxarticles` CHANGE `OXSHORTDESC_1` `OXSHORTDESC_1` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxarticles` CHANGE `OXURLDESC_1` `OXURLDESC_1` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxarticles` CHANGE `OXSEARCHKEYS_1` `OXSEARCHKEYS_1` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxarticles` CHANGE `OXTITLE_2` `OXTITLE_2` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxarticles` CHANGE `OXSHORTDESC_2` `OXSHORTDESC_2` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxarticles` CHANGE `OXURLDESC_2` `OXURLDESC_2` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxarticles` CHANGE `OXSEARCHKEYS_2` `OXSEARCHKEYS_2` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxarticles` CHANGE `OXTITLE_3` `OXTITLE_3` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxarticles` CHANGE `OXSHORTDESC_3` `OXSHORTDESC_3` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxarticles` CHANGE `OXURLDESC_3` `OXURLDESC_3` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxarticles` CHANGE `OXSEARCHKEYS_3` `OXSEARCHKEYS_3` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxarticles` CHANGE `OXFOLDER` `OXFOLDER` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Folder';
    ALTER TABLE `oxarticles` CHANGE `OXSUBCLASS` `OXSUBCLASS` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Subclass';
    ALTER TABLE `oxarticles` CHANGE `OXSTOCKTEXT_1` `OXSTOCKTEXT_1` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxarticles` CHANGE `OXSTOCKTEXT_2` `OXSTOCKTEXT_2` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxarticles` CHANGE `OXSTOCKTEXT_3` `OXSTOCKTEXT_3` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxarticles` CHANGE `OXNOSTOCKTEXT_1` `OXNOSTOCKTEXT_1` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxarticles` CHANGE `OXNOSTOCKTEXT_2` `OXNOSTOCKTEXT_2` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxarticles` CHANGE `OXNOSTOCKTEXT_3` `OXNOSTOCKTEXT_3` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxartextends` CHANGE `OXLONGDESC` `OXLONGDESC` text CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT 'Long description (multilanguage)';
    ALTER TABLE `oxartextends` CHANGE `OXLONGDESC_1` `OXLONGDESC_1` text CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL;
    ALTER TABLE `oxartextends` CHANGE `OXLONGDESC_2` `OXLONGDESC_2` text CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL;
    ALTER TABLE `oxartextends` CHANGE `OXLONGDESC_3` `OXLONGDESC_3` text CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL;
    ALTER TABLE `oxartextends` CHANGE `OXTAGS` `OXTAGS` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT 'Tags (multilanguage)';
    ALTER TABLE `oxartextends` CHANGE `OXTAGS_1` `OXTAGS_1` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL;
    ALTER TABLE `oxartextends` CHANGE `OXTAGS_2` `OXTAGS_2` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL;
    ALTER TABLE `oxartextends` CHANGE `OXTAGS_3` `OXTAGS_3` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL;
    ALTER TABLE `oxattribute` CHANGE `OXTITLE` `OXTITLE` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Title (multilanguage)';
    ALTER TABLE `oxattribute` CHANGE `OXTITLE_1` `OXTITLE_1` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxattribute` CHANGE `OXTITLE_2` `OXTITLE_2` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxattribute` CHANGE `OXTITLE_3` `OXTITLE_3` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxuserbaskets` CHANGE `OXTITLE` `OXTITLE` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Basket title';
    ALTER TABLE `oxuserbasketitems` CHANGE `OXAMOUNT` `OXAMOUNT` char(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Amount';
    ALTER TABLE `oxuserbasketitems` CHANGE `OXSELLIST` `OXSELLIST` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Selection list';
    ALTER TABLE `oxcategories` CHANGE `OXTITLE` `OXTITLE` varchar(254) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Title (multilanguage)';
    ALTER TABLE `oxcategories` CHANGE `OXDESC` `OXDESC` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Description (multilanguage)';
    ALTER TABLE `oxcategories` CHANGE `OXLONGDESC` `OXLONGDESC` text CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT 'Long description (multilanguage)';
    ALTER TABLE `oxcategories` CHANGE `OXTHUMB` `OXTHUMB` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Thumbnail filename (multilanguage)';
    ALTER TABLE `oxcategories` CHANGE `OXTHUMB_1` `OXTHUMB_1` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxcategories` CHANGE `OXTHUMB_2` `OXTHUMB_2` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxcategories` CHANGE `OXTHUMB_3` `OXTHUMB_3` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxcategories` CHANGE `OXEXTLINK` `OXEXTLINK` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'External link, that if specified is opened instead of category content';
    ALTER TABLE `oxcategories` CHANGE `OXTEMPLATE` `OXTEMPLATE` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Alternative template filename (if empty, default is used)';
    ALTER TABLE `oxcategories` CHANGE `OXDEFSORT` `OXDEFSORT` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Default field for sorting of articles in this category (most of oxarticles fields)';
    ALTER TABLE `oxcategories` CHANGE `OXTITLE_1` `OXTITLE_1` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxcategories` CHANGE `OXDESC_1` `OXDESC_1` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxcategories` CHANGE `OXLONGDESC_1` `OXLONGDESC_1` text CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL;
    ALTER TABLE `oxcategories` CHANGE `OXTITLE_2` `OXTITLE_2` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxcategories` CHANGE `OXDESC_2` `OXDESC_2` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxcategories` CHANGE `OXLONGDESC_2` `OXLONGDESC_2` text CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL;
    ALTER TABLE `oxcategories` CHANGE `OXTITLE_3` `OXTITLE_3` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxcategories` CHANGE `OXDESC_3` `OXDESC_3` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxcategories` CHANGE `OXLONGDESC_3` `OXLONGDESC_3` text CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL;
    ALTER TABLE `oxcategories` CHANGE `OXICON` `OXICON` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Icon filename';
    ALTER TABLE `oxcategories` CHANGE `OXPROMOICON` `OXPROMOICON` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Promotion icon filename';
    ALTER TABLE `oxconfigdisplay` CHANGE `OXGROUPING` `OXGROUPING` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Grouping (groups config fields to array with specified value as key)';
    ALTER TABLE `oxconfigdisplay` CHANGE `OXVARCONSTRAINT` `OXVARCONSTRAINT` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Serialized constraints';
    ALTER TABLE `oxcontents` CHANGE `OXPOSITION` `OXPOSITION` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Position';
    ALTER TABLE `oxcontents` CHANGE `OXTITLE` `OXTITLE` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Title (multilanguage)';
    ALTER TABLE `oxcontents` CHANGE `OXCONTENT` `OXCONTENT` text CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT 'Content (multilanguage)';
    ALTER TABLE `oxcontents` CHANGE `OXTITLE_1` `OXTITLE_1` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxcontents` CHANGE `OXCONTENT_1` `OXCONTENT_1` text CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL;
    ALTER TABLE `oxcontents` CHANGE `OXTITLE_2` `OXTITLE_2` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxcontents` CHANGE `OXCONTENT_2` `OXCONTENT_2` text CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL;
    ALTER TABLE `oxcontents` CHANGE `OXTITLE_3` `OXTITLE_3` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxcontents` CHANGE `OXCONTENT_3` `OXCONTENT_3` text CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL;
    ALTER TABLE `oxcontents` CHANGE `OXFOLDER` `OXFOLDER` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT 'Content Folder (available options at oxconfig.OXVARNAME = aCMSfolder)';
    ALTER TABLE `oxcountry` CHANGE `OXTITLE` `OXTITLE` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Title (multilanguage)';
    ALTER TABLE `oxcountry` CHANGE `OXISOALPHA2` `OXISOALPHA2` char(2) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'ISO 3166-1 alpha-2';
    ALTER TABLE `oxcountry` CHANGE `OXISOALPHA3` `OXISOALPHA3` char(3) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'ISO 3166-1 alpha-3';
    ALTER TABLE `oxcountry` CHANGE `OXUNNUM3` `OXUNNUM3` char(3) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'ISO 3166-1 numeric';
    ALTER TABLE `oxcountry` CHANGE `OXSHORTDESC` `OXSHORTDESC` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Short description (multilanguage)';
    ALTER TABLE `oxcountry` CHANGE `OXLONGDESC` `OXLONGDESC` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Long description (multilanguage)';
    ALTER TABLE `oxcountry` CHANGE `OXTITLE_1` `OXTITLE_1` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxcountry` CHANGE `OXTITLE_2` `OXTITLE_2` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxcountry` CHANGE `OXTITLE_3` `OXTITLE_3` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxcountry` CHANGE `OXSHORTDESC_1` `OXSHORTDESC_1` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxcountry` CHANGE `OXSHORTDESC_2` `OXSHORTDESC_2` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxcountry` CHANGE `OXSHORTDESC_3` `OXSHORTDESC_3` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxcountry` CHANGE `OXLONGDESC_1` `OXLONGDESC_1` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL;
    ALTER TABLE `oxcountry` CHANGE `OXLONGDESC_2` `OXLONGDESC_2` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL;
    ALTER TABLE `oxcountry` CHANGE `OXLONGDESC_3` `OXLONGDESC_3` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL;
    ALTER TABLE `oxdelivery` CHANGE `OXTITLE` `OXTITLE` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Title (multilanguage)';
    ALTER TABLE `oxdelivery` CHANGE `OXTITLE_1` `OXTITLE_1` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxdelivery` CHANGE `OXTITLE_2` `OXTITLE_2` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxdelivery` CHANGE `OXTITLE_3` `OXTITLE_3` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxdelivery` CHANGE `OXADDSUMTYPE` `OXADDSUMTYPE` enum('%','abs') CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default 'abs' COMMENT 'Price Surcharge/Reduction type (abs|%)';
    ALTER TABLE `oxdelivery` CHANGE `OXDELTYPE` `OXDELTYPE` enum('a','s','w','p') CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default 'a' COMMENT 'Condition type: a - Amount, s - Size, w - Weight, p - Price';
    ALTER TABLE `oxdiscount` CHANGE `OXTITLE` `OXTITLE` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Title (multilanguage)';
    ALTER TABLE `oxdiscount` CHANGE `OXTITLE_1` `OXTITLE_1` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL;
    ALTER TABLE `oxdiscount` CHANGE `OXTITLE_2` `OXTITLE_2` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL;
    ALTER TABLE `oxdiscount` CHANGE `OXTITLE_3` `OXTITLE_3` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL;
    ALTER TABLE `oxdiscount` CHANGE `OXADDSUMTYPE` `OXADDSUMTYPE` enum('%','abs','itm') CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '%' COMMENT 'Discount type (%,abs,itm)';
    ALTER TABLE `oxgbentries` CHANGE `OXCONTENT` `OXCONTENT` text CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT 'Content';
    ALTER TABLE `oxgroups` CHANGE `OXTITLE` `OXTITLE` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Title (multilanguage)';
    ALTER TABLE `oxgroups` CHANGE `OXTITLE_1` `OXTITLE_1` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxgroups` CHANGE `OXTITLE_2` `OXTITLE_2` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxgroups` CHANGE `OXTITLE_3` `OXTITLE_3` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxlinks` CHANGE `OXURL` `OXURL` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Link url';
    ALTER TABLE `oxlinks` CHANGE `OXURLDESC` `OXURLDESC` text CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT 'Description (multilanguage)';
    ALTER TABLE `oxlinks` CHANGE `OXURLDESC_1` `OXURLDESC_1` text CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL;
    ALTER TABLE `oxlinks` CHANGE `OXURLDESC_2` `OXURLDESC_2` text CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL;
    ALTER TABLE `oxlinks` CHANGE `OXURLDESC_3` `OXURLDESC_3` text CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL;
    ALTER TABLE `oxvouchers` CHANGE `OXVOUCHERNR` `OXVOUCHERNR` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT 'Coupon number';
    ALTER TABLE `oxnews` CHANGE `OXSHORTDESC` `OXSHORTDESC` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Short description (multilanguage)';
    ALTER TABLE `oxnews` CHANGE `OXLONGDESC` `OXLONGDESC` text CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT 'Long description (multilanguage)';
    ALTER TABLE `oxnews` CHANGE `OXSHORTDESC_1` `OXSHORTDESC_1` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxnews` CHANGE `OXLONGDESC_1` `OXLONGDESC_1` text CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL;
    ALTER TABLE `oxnews` CHANGE `OXSHORTDESC_2` `OXSHORTDESC_2` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxnews` CHANGE `OXLONGDESC_2` `OXLONGDESC_2` text CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL;
    ALTER TABLE `oxnews` CHANGE `OXSHORTDESC_3` `OXSHORTDESC_3` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxnews` CHANGE `OXLONGDESC_3` `OXLONGDESC_3` text CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL;
    ALTER TABLE `oxobject2attribute` CHANGE `OXVALUE` `OXVALUE` char(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Attribute value (multilanguage)';
    ALTER TABLE `oxobject2attribute` CHANGE `OXVALUE_1` `OXVALUE_1` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxobject2attribute` CHANGE `OXVALUE_2` `OXVALUE_2` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxobject2attribute` CHANGE `OXVALUE_3` `OXVALUE_3` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxorder` CHANGE `OXBILLCOMPANY` `OXBILLCOMPANY` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Billing info: Company name';
    ALTER TABLE `oxorder` CHANGE `OXBILLEMAIL` `OXBILLEMAIL` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Billing info: Email';
    ALTER TABLE `oxorder` CHANGE `OXBILLFNAME` `OXBILLFNAME` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Billing info: First name';
    ALTER TABLE `oxorder` CHANGE `OXBILLLNAME` `OXBILLLNAME` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Billing info: Last name';
    ALTER TABLE `oxorder` CHANGE `OXBILLSTREET` `OXBILLSTREET` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Billing info: Street name';
    ALTER TABLE `oxorder` CHANGE `OXBILLSTREETNR` `OXBILLSTREETNR` varchar(16) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Billing info: House number';
    ALTER TABLE `oxorder` CHANGE `OXBILLADDINFO` `OXBILLADDINFO` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Billing info: Additional info';
    ALTER TABLE `oxorder` CHANGE `OXBILLUSTID` `OXBILLUSTID` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Billing info: VAT ID No.';
    ALTER TABLE `oxorder` CHANGE `OXBILLCITY` `OXBILLCITY` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Billing info: City';
    ALTER TABLE `oxorder` CHANGE `OXBILLZIP` `OXBILLZIP` varchar(16) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Billing info: Zip code';
    ALTER TABLE `oxorder` CHANGE `OXBILLFON` `OXBILLFON` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Billing info: Phone number';
    ALTER TABLE `oxorder` CHANGE `OXBILLFAX` `OXBILLFAX` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Billing info: Fax number';
    ALTER TABLE `oxorder` CHANGE `OXBILLSAL` `OXBILLSAL` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Billing info: User title prefix (Mr/Mrs)';
    ALTER TABLE `oxorder` CHANGE `OXDELCOMPANY` `OXDELCOMPANY` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Shipping info: Company name';
    ALTER TABLE `oxorder` CHANGE `OXDELFNAME` `OXDELFNAME` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Shipping info: First name';
    ALTER TABLE `oxorder` CHANGE `OXDELLNAME` `OXDELLNAME` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Shipping info: Last name';
    ALTER TABLE `oxorder` CHANGE `OXDELSTREET` `OXDELSTREET` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Shipping info: Street name';
    ALTER TABLE `oxorder` CHANGE `OXDELSTREETNR` `OXDELSTREETNR` varchar(16) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Shipping info: House number';
    ALTER TABLE `oxorder` CHANGE `OXDELADDINFO` `OXDELADDINFO` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Shipping info: Additional info';
    ALTER TABLE `oxorder` CHANGE `OXDELCITY` `OXDELCITY` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Shipping info: City';
    ALTER TABLE `oxorder` CHANGE `OXDELZIP` `OXDELZIP` varchar(16) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Shipping info: Zip code';
    ALTER TABLE `oxorder` CHANGE `OXDELFON` `OXDELFON` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Shipping info: Phone number';
    ALTER TABLE `oxorder` CHANGE `OXDELFAX` `OXDELFAX` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Shipping info: Fax number';
    ALTER TABLE `oxorder` CHANGE `OXDELSAL` `OXDELSAL` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Shipping info: User title prefix (Mr/Mrs)';
    ALTER TABLE `oxorder` CHANGE `OXCARDTEXT` `OXCARDTEXT` text CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT 'Gift card text';
    ALTER TABLE `oxorder` CHANGE `OXBILLNR` `OXBILLNR` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Invoice No.';
    ALTER TABLE `oxorder` CHANGE `OXTRACKCODE` `OXTRACKCODE` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Tracking code';
    ALTER TABLE `oxorder` CHANGE `OXREMARK` `OXREMARK` text CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT 'User remarks';
    ALTER TABLE `oxorder` CHANGE `OXCURRENCY` `OXCURRENCY` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Currency';
    ALTER TABLE `oxorder` CHANGE `OXFOLDER` `OXFOLDER` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Folder: ORDERFOLDER_FINISHED, ORDERFOLDER_NEW, ORDERFOLDER_PROBLEMS';
    ALTER TABLE `oxorder` CHANGE `OXTRANSID` `OXTRANSID` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Paypal: Transaction id';
    ALTER TABLE `oxorder` CHANGE `OXXID` `OXXID` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxorder` CHANGE `OXIP` `OXIP` varchar(39) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'User ip address';
    ALTER TABLE `oxorder` CHANGE `OXTRANSSTATUS` `OXTRANSSTATUS` varchar(30) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Order status: NOT_FINISHED, OK, ERROR';
    ALTER TABLE `oxorderarticles` CHANGE `OXARTNUM` `OXARTNUM` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Article number';
    ALTER TABLE `oxorderarticles` CHANGE `OXTITLE` `OXTITLE` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Title';
    ALTER TABLE `oxorderarticles` CHANGE `OXSHORTDESC` `OXSHORTDESC` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Short description';
    ALTER TABLE `oxorderarticles` CHANGE `OXSELVARIANT` `OXSELVARIANT` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Selected variant';
    ALTER TABLE `oxorderarticles` CHANGE `OXPERSPARAM` `OXPERSPARAM` text CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT 'Serialized persistent parameters';
    ALTER TABLE `oxorderarticles` CHANGE `OXWRAPID` `OXWRAPID` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Wrapping id (oxwrapping)';
    ALTER TABLE `oxorderarticles` CHANGE `OXEXTURL` `OXEXTURL` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'External URL to other information about the article';
    ALTER TABLE `oxorderarticles` CHANGE `OXURLDESC` `OXURLDESC` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Text for external URL';
    ALTER TABLE `oxorderarticles` CHANGE `OXURLIMG` `OXURLIMG` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'External URL image';
    ALTER TABLE `oxorderarticles` CHANGE `OXTHUMB` `OXTHUMB` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Thumbnail filename';
    ALTER TABLE `oxorderarticles` CHANGE `OXPIC1` `OXPIC1` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT '1# Picture filename';
    ALTER TABLE `oxorderarticles` CHANGE `OXPIC2` `OXPIC2` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT '2# Picture filename';
    ALTER TABLE `oxorderarticles` CHANGE `OXPIC3` `OXPIC3` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT '3# Picture filename';
    ALTER TABLE `oxorderarticles` CHANGE `OXPIC4` `OXPIC4` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT '4# Picture filename';
    ALTER TABLE `oxorderarticles` CHANGE `OXPIC5` `OXPIC5` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT '5# Picture filename';
    ALTER TABLE `oxorderarticles` CHANGE `OXFILE` `OXFILE` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'File, shown in article media list';
    ALTER TABLE `oxorderarticles` CHANGE `OXSEARCHKEYS` `OXSEARCHKEYS` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Search terms';
    ALTER TABLE `oxorderarticles` CHANGE `OXTEMPLATE` `OXTEMPLATE` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Alternative template filename (use default, if empty)';
    ALTER TABLE `oxorderarticles` CHANGE `OXQUESTIONEMAIL` `OXQUESTIONEMAIL` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'E-mail for question';
    ALTER TABLE `oxorderarticles` CHANGE `OXFOLDER` `OXFOLDER` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Folder: ORDERFOLDER_FINISHED, ORDERFOLDER_NEW, ORDERFOLDER_PROBLEMS';
    ALTER TABLE `oxorderarticles` CHANGE `OXSUBCLASS` `OXSUBCLASS` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Subclass';
    ALTER TABLE `oxpayments` CHANGE `OXDESC` `OXDESC` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Description (multilanguage)';
    ALTER TABLE `oxpayments` CHANGE `OXADDSUMTYPE` `OXADDSUMTYPE` enum('abs','%') CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default 'abs' COMMENT 'Price Surcharge/Reduction type (abs|%)';
    ALTER TABLE `oxpayments` CHANGE `OXVALDESC` `OXVALDESC` text CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT 'Payment additional fields, separated by \"field1__@@field2\" (multilanguage)';
    ALTER TABLE `oxpayments` CHANGE `OXDESC_1` `OXDESC_1` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxpayments` CHANGE `OXVALDESC_1` `OXVALDESC_1` text CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL;
    ALTER TABLE `oxpayments` CHANGE `OXDESC_2` `OXDESC_2` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxpayments` CHANGE `OXVALDESC_2` `OXVALDESC_2` text CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL;
    ALTER TABLE `oxpayments` CHANGE `OXDESC_3` `OXDESC_3` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxpayments` CHANGE `OXVALDESC_3` `OXVALDESC_3` text CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL;
    ALTER TABLE `oxpayments` CHANGE `OXLONGDESC` `OXLONGDESC` text CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT 'Long description (multilanguage)';
    ALTER TABLE `oxpayments` CHANGE `OXLONGDESC_1` `OXLONGDESC_1` text CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxpayments` CHANGE `OXLONGDESC_2` `OXLONGDESC_2` text CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxpayments` CHANGE `OXLONGDESC_3` `OXLONGDESC_3` text CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxpricealarm` CHANGE `OXEMAIL` `OXEMAIL` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Recipient email';
    ALTER TABLE `oxpricealarm` CHANGE `OXCURRENCY` `OXCURRENCY` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Currency';
    ALTER TABLE `oxrecommlists` CHANGE `OXAUTHOR` `OXAUTHOR` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Author first and last name';
    ALTER TABLE `oxrecommlists` CHANGE `OXTITLE` `OXTITLE` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Title';
    ALTER TABLE `oxrecommlists` CHANGE `OXDESC` `OXDESC` text CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT 'Description';
    ALTER TABLE `oxobject2list` CHANGE `OXDESC` `OXDESC` text CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Description';
    ALTER TABLE `oxratings` CHANGE `OXTYPE` `OXTYPE` enum('oxarticle','oxrecommlist') CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT 'Rating type (oxarticle, oxrecommlist)';
    ALTER TABLE `oxremark` CHANGE `OXTYPE` `OXTYPE` enum('o','r','n','c') CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default 'r' COMMENT 'Record type: o - order, r - remark, n - nesletter, c - registration';
    ALTER TABLE `oxremark` CHANGE `OXHEADER` `OXHEADER` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Header (default: Creation time)';
    ALTER TABLE `oxremark` CHANGE `OXTEXT` `OXTEXT` text CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT 'Remark text';
    ALTER TABLE `oxreviews` CHANGE `OXTYPE` `OXTYPE` enum('oxarticle','oxrecommlist') CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT 'Review type (oxarticle, oxrecommlist)';
    ALTER TABLE `oxreviews` CHANGE `OXTEXT` `OXTEXT` text CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT 'Review text';
    ALTER TABLE `oxselectlist` CHANGE `OXTITLE` `OXTITLE` varchar(254) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Title (multilanguage)';
    ALTER TABLE `oxselectlist` CHANGE `OXIDENT` `OXIDENT` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Working Title';
    ALTER TABLE `oxselectlist` CHANGE `OXVALDESC` `OXVALDESC` text CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT 'List fields, separated by \"[field_name]!P![price]__@@[field_name]__@@\" (multilanguage)';
    ALTER TABLE `oxselectlist` CHANGE `OXTITLE_1` `OXTITLE_1` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxselectlist` CHANGE `OXVALDESC_1` `OXVALDESC_1` text CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL;
    ALTER TABLE `oxselectlist` CHANGE `OXTITLE_2` `OXTITLE_2` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxselectlist` CHANGE `OXVALDESC_2` `OXVALDESC_2` text CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL;
    ALTER TABLE `oxselectlist` CHANGE `OXTITLE_3` `OXTITLE_3` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxselectlist` CHANGE `OXVALDESC_3` `OXVALDESC_3` text CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL;
    ALTER TABLE `oxshops` CHANGE `OXDEFCURRENCY` `OXDEFCURRENCY` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Default currency';
    ALTER TABLE `oxshops` CHANGE `OXNAME` `OXNAME` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Shop name';
    ALTER TABLE `oxshops` CHANGE `OXTITLEPREFIX` `OXTITLEPREFIX` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Seo title prefix (multilanguage)';
    ALTER TABLE `oxshops` CHANGE `OXTITLEPREFIX_1` `OXTITLEPREFIX_1` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxshops` CHANGE `OXTITLEPREFIX_2` `OXTITLEPREFIX_2` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxshops` CHANGE `OXTITLEPREFIX_3` `OXTITLEPREFIX_3` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxshops` CHANGE `OXTITLESUFFIX` `OXTITLESUFFIX` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Seo title suffix (multilanguage)';
    ALTER TABLE `oxshops` CHANGE `OXTITLESUFFIX_1` `OXTITLESUFFIX_1` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxshops` CHANGE `OXTITLESUFFIX_2` `OXTITLESUFFIX_2` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxshops` CHANGE `OXTITLESUFFIX_3` `OXTITLESUFFIX_3` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxshops` CHANGE `OXSTARTTITLE` `OXSTARTTITLE` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Start page title (multilanguage)';
    ALTER TABLE `oxshops` CHANGE `OXSTARTTITLE_1` `OXSTARTTITLE_1` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxshops` CHANGE `OXSTARTTITLE_2` `OXSTARTTITLE_2` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxshops` CHANGE `OXSTARTTITLE_3` `OXSTARTTITLE_3` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxshops` CHANGE `OXINFOEMAIL` `OXINFOEMAIL` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Informational email address';
    ALTER TABLE `oxshops` CHANGE `OXORDEREMAIL` `OXORDEREMAIL` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Order email address';
    ALTER TABLE `oxshops` CHANGE `OXOWNEREMAIL` `OXOWNEREMAIL` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Owner email address';
    ALTER TABLE `oxshops` CHANGE `OXORDERSUBJECT` `OXORDERSUBJECT` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Order email subject (multilanguage)';
    ALTER TABLE `oxshops` CHANGE `OXREGISTERSUBJECT` `OXREGISTERSUBJECT` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Registration email subject (multilanguage)';
    ALTER TABLE `oxshops` CHANGE `OXFORGOTPWDSUBJECT` `OXFORGOTPWDSUBJECT` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Forgot password email subject (multilanguage)';
    ALTER TABLE `oxshops` CHANGE `OXSENDEDNOWSUBJECT` `OXSENDEDNOWSUBJECT` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Order sent email subject (multilanguage)';
    ALTER TABLE `oxshops` CHANGE `OXORDERSUBJECT_1` `OXORDERSUBJECT_1` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxshops` CHANGE `OXREGISTERSUBJECT_1` `OXREGISTERSUBJECT_1` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxshops` CHANGE `OXFORGOTPWDSUBJECT_1` `OXFORGOTPWDSUBJECT_1` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxshops` CHANGE `OXSENDEDNOWSUBJECT_1` `OXSENDEDNOWSUBJECT_1` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxshops` CHANGE `OXORDERSUBJECT_2` `OXORDERSUBJECT_2` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxshops` CHANGE `OXREGISTERSUBJECT_2` `OXREGISTERSUBJECT_2` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxshops` CHANGE `OXFORGOTPWDSUBJECT_2` `OXFORGOTPWDSUBJECT_2` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxshops` CHANGE `OXSENDEDNOWSUBJECT_2` `OXSENDEDNOWSUBJECT_2` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxshops` CHANGE `OXORDERSUBJECT_3` `OXORDERSUBJECT_3` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxshops` CHANGE `OXREGISTERSUBJECT_3` `OXREGISTERSUBJECT_3` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxshops` CHANGE `OXFORGOTPWDSUBJECT_3` `OXFORGOTPWDSUBJECT_3` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxshops` CHANGE `OXSENDEDNOWSUBJECT_3` `OXSENDEDNOWSUBJECT_3` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxshops` CHANGE `OXSMTP` `OXSMTP` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'SMTP server';
    ALTER TABLE `oxshops` CHANGE `OXSMTPUSER` `OXSMTPUSER` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'SMTP user';
    ALTER TABLE `oxshops` CHANGE `OXSMTPPWD` `OXSMTPPWD` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'SMTP password';
    ALTER TABLE `oxshops` CHANGE `OXSERIAL` `OXSERIAL` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Shop license number';
    ALTER TABLE `oxshops` CHANGE `OXCOMPANY` `OXCOMPANY` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Your company';
    ALTER TABLE `oxshops` CHANGE `OXSTREET` `OXSTREET` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Street';
    ALTER TABLE `oxshops` CHANGE `OXZIP` `OXZIP` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'ZIP code';
    ALTER TABLE `oxshops` CHANGE `OXCITY` `OXCITY` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'City';
    ALTER TABLE `oxshops` CHANGE `OXCOUNTRY` `OXCOUNTRY` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Country';
    ALTER TABLE `oxshops` CHANGE `OXBANKNAME` `OXBANKNAME` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Bank name';
    ALTER TABLE `oxshops` CHANGE `OXBANKNUMBER` `OXBANKNUMBER` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Account Number';
    ALTER TABLE `oxshops` CHANGE `OXBANKCODE` `OXBANKCODE` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Routing Number';
    ALTER TABLE `oxshops` CHANGE `OXVATNUMBER` `OXVATNUMBER` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Sales Tax ID';
    ALTER TABLE `oxshops` CHANGE `OXBICCODE` `OXBICCODE` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Bank BIC';
    ALTER TABLE `oxshops` CHANGE `OXIBANNUMBER` `OXIBANNUMBER` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Bank IBAN';
    ALTER TABLE `oxshops` CHANGE `OXFNAME` `OXFNAME` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'First name';
    ALTER TABLE `oxshops` CHANGE `OXLNAME` `OXLNAME` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Last name';
    ALTER TABLE `oxshops` CHANGE `OXTELEFON` `OXTELEFON` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Phone number';
    ALTER TABLE `oxshops` CHANGE `OXTELEFAX` `OXTELEFAX` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Fax number';
    ALTER TABLE `oxshops` CHANGE `OXURL` `OXURL` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Shop url';
    ALTER TABLE `oxshops` CHANGE `OXHRBNR` `OXHRBNR` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'CBR';
    ALTER TABLE `oxshops` CHANGE `OXCOURT` `OXCOURT` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'District Court';
    ALTER TABLE `oxshops` CHANGE `OXADBUTLERID` `OXADBUTLERID` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Adbutler code (belboon.de) - deprecated';
    ALTER TABLE `oxshops` CHANGE `OXAFFILINETID` `OXAFFILINETID` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Affilinet code (webmasterplan.com) - deprecated';
    ALTER TABLE `oxshops` CHANGE `OXSUPERCLICKSID` `OXSUPERCLICKSID` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Superclix code (superclix.de) - deprecated';
    ALTER TABLE `oxshops` CHANGE `OXAFFILIWELTID` `OXAFFILIWELTID` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Affiliwelt code (affiliwelt.net) - deprecated';
    ALTER TABLE `oxshops` CHANGE `OXAFFILI24ID` `OXAFFILI24ID` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Affili24 code (affili24.com) - deprecated';
    ALTER TABLE `oxshops` CHANGE `OXEDITION` `OXEDITION` CHAR( 2 ) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT 'Shop Edition (CE,PE,EE)';
    ALTER TABLE `oxshops` CHANGE `OXVERSION` `OXVERSION` CHAR( 16 ) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT 'Shop Version';
    ALTER TABLE `oxuser` CHANGE `OXSHOPID` `OXSHOPID` char(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Shop id (oxshops)';
    ALTER TABLE `oxuser` CHANGE `OXUSERNAME` `OXUSERNAME` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Username';
    ALTER TABLE `oxuser` CHANGE `OXPASSWORD` `OXPASSWORD` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Hashed password';
    ALTER TABLE `oxuser` CHANGE `OXUSTID` `OXUSTID` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'VAT ID No.';
    ALTER TABLE `oxuser` CHANGE `OXCOMPANY` `OXCOMPANY` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Company';
    ALTER TABLE `oxuser` CHANGE `OXFNAME` `OXFNAME` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'First name';
    ALTER TABLE `oxuser` CHANGE `OXLNAME` `OXLNAME` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Last name';
    ALTER TABLE `oxuser` CHANGE `OXSTREET` `OXSTREET` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Street';
    ALTER TABLE `oxuser` CHANGE `OXSTREETNR` `OXSTREETNR` varchar(16) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'House number';
    ALTER TABLE `oxuser` CHANGE `OXADDINFO` `OXADDINFO` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Additional info';
    ALTER TABLE `oxuser` CHANGE `OXCITY` `OXCITY` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'City';
    ALTER TABLE `oxuser` CHANGE `OXZIP` `OXZIP` varchar(16) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'ZIP code';
    ALTER TABLE `oxuser` CHANGE `OXFON` `OXFON` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Phone number';
    ALTER TABLE `oxuser` CHANGE `OXFAX` `OXFAX` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Fax number';
    ALTER TABLE `oxuser` CHANGE `OXSAL` `OXSAL` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'User title (Mr/Mrs)';
    ALTER TABLE `oxuser` CHANGE `OXPRIVFON` `OXPRIVFON` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Personal phone number';
    ALTER TABLE `oxuser` CHANGE `OXMOBFON` `OXMOBFON` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Mobile phone number';
    ALTER TABLE `oxuser` CHANGE `OXURL` `OXURL` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Url';
    ALTER TABLE `oxuser` CHANGE `OXUPDATEKEY` `OXUPDATEKEY` varchar( 32 ) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Update key';
    ALTER TABLE `oxactions` CHANGE `OXTITLE` `OXTITLE` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Title (multilanguage)';
    ALTER TABLE `oxactions` CHANGE `OXTITLE_1` `OXTITLE_1` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxactions` CHANGE `OXTITLE_2` `OXTITLE_2` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxactions` CHANGE `OXTITLE_3` `OXTITLE_3` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxactions` CHANGE `OXLONGDESC` `OXLONGDESC` text CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT 'Long description, used for promotion (multilanguage)';
    ALTER TABLE `oxactions` CHANGE `OXLONGDESC_1` `OXLONGDESC_1` text CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxactions` CHANGE `OXLONGDESC_2` `OXLONGDESC_2` text CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxactions` CHANGE `OXLONGDESC_3` `OXLONGDESC_3` text CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxactions` CHANGE `OXPIC` `OXPIC` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Picture filename, used for banner (multilanguage)';
    ALTER TABLE `oxactions` CHANGE `OXPIC_1` `OXPIC_1` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxactions` CHANGE `OXPIC_2` `OXPIC_2` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxactions` CHANGE `OXPIC_3` `OXPIC_3` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxactions` CHANGE `OXLINK` `OXLINK` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Link, used on banner (multilanguage)';
    ALTER TABLE `oxactions` CHANGE `OXLINK_1` `OXLINK_1` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxactions` CHANGE `OXLINK_2` `OXLINK_2` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxactions` CHANGE `OXLINK_3` `OXLINK_3` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxwrapping` CHANGE `OXTYPE` `OXTYPE` varchar(4) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default 'WRAP' COMMENT 'Wrapping type: WRAP,CARD';
    ALTER TABLE `oxwrapping` CHANGE `OXNAME` `OXNAME` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Name (multilanguage)';
    ALTER TABLE `oxwrapping` CHANGE `OXNAME_1` `OXNAME_1` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxwrapping` CHANGE `OXNAME_2` `OXNAME_2` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxwrapping` CHANGE `OXNAME_3` `OXNAME_3` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxwrapping` CHANGE `OXPIC` `OXPIC` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Image filename';
    ALTER TABLE `oxdeliveryset` CHANGE `OXTITLE` `OXTITLE` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Title (multilanguage)';
    ALTER TABLE `oxdeliveryset` CHANGE `OXTITLE_1` `OXTITLE_1` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxdeliveryset` CHANGE `OXTITLE_2` `OXTITLE_2` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxdeliveryset` CHANGE `OXTITLE_3` `OXTITLE_3` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxnewssubscribed` CHANGE `OXSAL` `OXSAL` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'User title prefix (Mr/Mrs)';
    ALTER TABLE `oxnewssubscribed` CHANGE `OXFNAME` `OXFNAME` char(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'First name';
    ALTER TABLE `oxnewssubscribed` CHANGE `OXLNAME` `OXLNAME` char(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Last name';
    ALTER TABLE `oxnewssubscribed` CHANGE `OXEMAIL` `OXEMAIL` char(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Email';
    ALTER TABLE `oxvendor` CHANGE `OXICON` `OXICON` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Icon filename';
    ALTER TABLE `oxvendor` CHANGE `OXTITLE` `OXTITLE` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Title (multilanguage)';
    ALTER TABLE `oxvendor` CHANGE `OXSHORTDESC` `OXSHORTDESC` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Short description (multilanguage)';
    ALTER TABLE `oxvendor` CHANGE `OXTITLE_1` `OXTITLE_1` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxvendor` CHANGE `OXSHORTDESC_1` `OXSHORTDESC_1` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxvendor` CHANGE `OXTITLE_2` `OXTITLE_2` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxvendor` CHANGE `OXSHORTDESC_2` `OXSHORTDESC_2` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxvendor` CHANGE `OXTITLE_3` `OXTITLE_3` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxvendor` CHANGE `OXSHORTDESC_3` `OXSHORTDESC_3` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxmanufacturers` CHANGE `OXICON` `OXICON` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Icon filename';
    ALTER TABLE `oxmanufacturers` CHANGE `OXTITLE` `OXTITLE` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Title (multilanguage)';
    ALTER TABLE `oxmanufacturers` CHANGE `OXSHORTDESC` `OXSHORTDESC` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Short description (multilanguage)';
    ALTER TABLE `oxmanufacturers` CHANGE `OXTITLE_1` `OXTITLE_1` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxmanufacturers` CHANGE `OXSHORTDESC_1` `OXSHORTDESC_1` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxmanufacturers` CHANGE `OXTITLE_2` `OXTITLE_2` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxmanufacturers` CHANGE `OXSHORTDESC_2` `OXSHORTDESC_2` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxmanufacturers` CHANGE `OXTITLE_3` `OXTITLE_3` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxmanufacturers` CHANGE `OXSHORTDESC_3` `OXSHORTDESC_3` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxseo` CHANGE `OXSTDURL` `OXSTDURL` VARCHAR(2048) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT 'Primary url, not seo encoded';
    ALTER TABLE `oxseo` CHANGE `OXTYPE` `OXTYPE` enum('static','oxarticle','oxcategory','oxvendor','oxcontent','dynamic','oxmanufacturer') CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT 'Record type';
    ALTER TABLE `oxseo` CHANGE `OXPARAMS` `OXPARAMS` char(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Params';
    ALTER TABLE `oxobject2seodata` CHANGE `OXKEYWORDS` `OXKEYWORDS` TEXT CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT 'Keywords';
    ALTER TABLE `oxobject2seodata` CHANGE `OXDESCRIPTION` `OXDESCRIPTION` TEXT CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT 'Description';
    ALTER TABLE `oxseologs` CHANGE `OXSTDURL` `OXSTDURL` text CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT 'Primary url, not seo encoded';
    ALTER TABLE `oxmediaurls` CHANGE `OXURL` `OXURL` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT 'Media url or filename';
    ALTER TABLE `oxmediaurls` CHANGE `OXDESC` `OXDESC` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT 'Description (multilanguage)';
    ALTER TABLE `oxmediaurls` CHANGE `OXDESC_1` `OXDESC_1` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL;
    ALTER TABLE `oxmediaurls` CHANGE `OXDESC_2` `OXDESC_2` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL;
    ALTER TABLE `oxmediaurls` CHANGE `OXDESC_3` `OXDESC_3` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL;
    ALTER TABLE `oxlogs` CHANGE `OXPARAMETER` `OXPARAMETER` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Template name or search param';
    ALTER TABLE `oxcounters` CHANGE `OXIDENT` `OXIDENT` char(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT 'Counter id';
    ALTER TABLE `oxfiles` CHANGE `OXFILENAME` `OXFILENAME` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT 'Filename';
    ALTER TABLE `oxorderfiles` CHANGE `OXFILENAME` `OXFILENAME` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT 'Filename';

    ALTER TABLE `oxnewsletter` CHANGE `OXTITLE` `OXTITLE` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Title';
    ALTER TABLE `oxnewsletter` CHANGE `OXTEMPLATE` `OXTEMPLATE` mediumtext CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT 'HTML template';
    ALTER TABLE `oxnewsletter` CHANGE `OXPLAINTEMPLATE` `OXPLAINTEMPLATE` mediumtext CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT 'Plain template';
    ALTER TABLE `oxstatistics` CHANGE `OXTITLE` `OXTITLE` char(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Title';
    ALTER TABLE `oxstatistics` CHANGE `OXVALUE` `OXVALUE` text CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT 'Serialized array of reports';

    ALTER TABLE `oxvoucherseries` CHANGE `OXSHOPID` `OXSHOPID` char(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Shop id (oxshops)';
    ALTER TABLE `oxvoucherseries` CHANGE `OXSERIENR` `OXSERIENR` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Series name';
    ALTER TABLE `oxvoucherseries` CHANGE `OXSERIEDESCRIPTION` `OXSERIEDESCRIPTION` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Description';
    ALTER TABLE `oxvoucherseries` CHANGE `OXDISCOUNTTYPE` `OXDISCOUNTTYPE` enum('percent','absolute') CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default 'absolute' COMMENT 'Discount type (percent, absolute)';

    ALTER TABLE `oxstates` CHANGE `OXTITLE` `OXTITLE` char(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Title (multilanguage)';
    ALTER TABLE `oxstates` CHANGE `OXTITLE_1` `OXTITLE_1` char(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxstates` CHANGE `OXTITLE_2` `OXTITLE_2` char(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';
    ALTER TABLE `oxstates` CHANGE `OXTITLE_3` `OXTITLE_3` char(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '';

    ALTER TABLE `oxcaptcha` CHANGE `OXHASH` `OXHASH` char(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default '' COMMENT 'Hash';